NewWacht Bench is live — AI-assisted development for Wacht
GET
/ai/agents/{agent_id}/skills/tree

Authorization

bearerAuth
AuthorizationBearer <token>

API key issued from the Wacht platform dashboard. Pass as a Bearer token: Authorization: Bearer <api_key>

In: header

Path Parameters

agent_id*string

Query Parameters

scope*string
path?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/ai/agents/string/skills/tree?scope=string"
{  "scope": "string",  "path": "string",  "entries": [    {      "name": "string",      "path": "string",      "kind": "string",      "size_bytes": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}
{  "errors": [    {      "message": "string",      "code": 0    }  ]}